<div id="top_of_dialog">
	<strong>Crea nuova regola</strong>
</div>

<div class="contentsDiv marginLeftZero" id="rightPanel"	style="min-height: 80px; box-sizing: unset">
	<div class="listViewPageDiv">
		<div class="listViewActionsDiv row-fluid">
			<table class="table table-bordered blockContainer showInlineTable equalSplit tableFormatted">
				<tbody>
					<tr>
						<td class="fieldLabel medium">
							<label class="muted pull-right marginRight10px">
								Periodo di Ripartizione
							</label>
						</td>
						<td>
							<select ng-model="criterio.periodoRipartizione">
								<option value=""></option>
								<option value="{{periodo.idPeriodoRipartizione}}" ng-repeat="periodo in periodiRipartizione">{{periodo.codice + ' ' + '(' + (periodo.competenzeDa| date: 'dd-MM-yyyy') + ' / ' + (periodo.competenzeA | date: 'dd-MM-yyyy') + ')' }}</option>
							</select>
						</td>
						<td class="fieldLabel medium">
							<label class="muted pull-right marginRight10px">
								Voce di incasso
							</label>
						</td>
						<td>
							<select ng-model="criterio.voceIncasso">
								<option value=""></option>
								<option value="{{voce.codVoceIncasso}}" ng-repeat="voce in vociIncasso">{{voce.codVoceIncasso}}</option>
							</select>
						</td>
					</tr>
					<tr>
						<td class="fieldLabel medium">
							<label class="muted pull-right marginRight10px">
								Tipo di report
							</label>
						</td>
						<td>
							<select ng-model="criterio.tipologiaReport">
								<option value=""></option>
								<option value="CARTACEO">Cartaceo</option>
								<option value="DIGITALE">Digitale</option>
								<option value="NOT">Non report</option>
							</select>
						</td>
						<td class="fieldLabel medium"></td>
						<td></td>
					</tr>
				</tbody>
			</table>
			
			<div class="contents-topscroll noprint">
				<div class="topscroll-div" style="width: 95%">&nbsp;</div>
			</div>
			<table class="table table-bordered blockContainer showInlineTable equalSplit tableFormatted">
				<thead>
					<tr>
						<th colspan="4" class="blockHeader">Valorizzazione</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td class="fieldLabel medium">
							<label class="muted pull-right marginRight10px">
								Regola Valorizzazione
							</label>
						</td>
						<td>
							<select ng-model="criterio.valorizzazione.regola">
								<option value=""></option>
								<option value="PRO_QUOTA">Pro quota</option>
								<option value="PRO_DURATA">Pro durata</option>
							</select>
						</td>
						<td class="fieldLabel medium">
							<label class="muted pull-right marginRight10px">
								Suddivisione Importi Principale/Spalla
							</label>
						</td>
						<td>
						
							<input type="checkbox" ng-model="criterio.valorizzazione.differenziaGruppiPrincipaliESpalla"><br>
							<div ng-show="criterio.valorizzazione.differenziaGruppiPrincipaliESpalla" style="display:inline">
								<input  type="number" placeholder="Percentuale Gruppo Principale" ng-model="criterio.valorizzazione.quotaGruppiPrincipali">
							</div><br>
							<div ng-show="criterio.valorizzazione.differenziaGruppiPrincipaliESpalla" style="display:inline">
								<input  type="number" placeholder="Percentuale Gruppo Spalla" ng-model="criterio.valorizzazione.quotaGruppiSpalla">
							</div>
						</td>
					<tr>
				</tbody>
			</table>
			
			
			<div class="contents-topscroll noprint">
				<div class="topscroll-div" style="width: 95%">&nbsp;</div>
			</div>
			<table class="table table-bordered blockContainer showInlineTable equalSplit tableFormatted" ng-init="criterio.ripartizioneOS = 'ORDINARIA'">
				<thead>
					<tr>
						<th colspan="4" class="blockHeader">Ripartizione</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td class="fieldLabel medium">
							<label class="muted pull-right marginRight10px">
								Tipo Ripartizione
							</label>
						</td>
						<td>
							<select ng-model="criterio.ripartizioneOS">
								<option value=""></option>
								<option value="ORDINARIA">Ordinaria</option>
							</select>
						</td>
						<td class="fieldLabel medium">
							<label class="muted pull-right marginRight10px">
								Regola Ripartizione
							</label>
						</td>
						<td>
							<select ng-model="criterio.ripartizione">
								<option value=""></option>
								<option ng-value="{analitico:100, proporzionale:0, campionario:0, campionarioProgrammi:0, campionarioRilevazioni:0, esclusioniUtilizzazioni: {durataMinima: 30}}">Analitico</option>
								<option ng-value="{analitico:0, proporzionale:100, campionario:0, campionarioProgrammi:0, campionarioRilevazioni:0, esclusioniUtilizzazioni: {durataMinima: 30}}">Proporzionale</option>
								<option ng-value="{analitico:0, proporzionale:0, campionario:100, esclusioniUtilizzazioni: {durataMinima: 30}}">Campionario</option>
							</select><br>
							<div style="display:inline" ng-show="criterio.ripartizione.campionario">
								<label style="display:inline">Programmi</label>&nbsp;
								<input style="width:25%" type="number" ng-model="criterio.ripartizione.campionarioProgrammi">
								<label style="display:inline">%</label>&nbsp; <br>
							</div>
							<div style="display:inline" ng-show="criterio.ripartizione.campionario">
								<label style="display:inline">Rilevazioni</label>&nbsp;
								<input style="width:25%" type="number" ng-model="criterio.ripartizione.campionarioRilevazioni">
								<label style="display:inline">%</label>&nbsp; <br>
							</div>
							
							<div style="display:inline" ng-show="criterio.ripartizione.campionario">
								<label style="display:inline">Voce Incasso Rilevazioni</label>&nbsp;
								<select ng-model="criterio.ripartizione.voceIncassoRilevazioni">
									<option value=""></option>
									<option value="{{voce.codVoceIncasso}}" ng-repeat="voce in vociIncassoFittizie">{{voce.codVoceIncasso}}</option>
								</select>
							</div>
						</td>
					</tr>
					<tr>
						<td colspan=2 ng-init="checkboxSelected = true">
					
						</td> 
						<td colspan=2 ng-init="checkboxSelected = true">
								<label>Seleziona Esclusioni:</label>
							<input type="checkbox" ng-model="criterio.ripartizione.esclusioniUtilizzazioni.bis">Bis<br>
							<input type="checkbox" ng-model="criterio.ripartizione.esclusioniUtilizzazioni.pubblicoDominio">Pubblico Dominio<br>
							<input type="checkbox" ng-model="criterio.ripartizione.esclusioniUtilizzazioni.cedoleEscluse">Cedole escluse dai PM<br>
							<input type="checkbox" ng-model="criterio.ripartizione.esclusioniUtilizzazioni.aaddEsclusi">AADD esclusi dai PM<br>
							<input type="checkbox" ng-model="checkboxSelected">Esecuzioni sotto i
							<div ng-if="checkboxSelected" style="display:inline">
								<input style="width:15%" type="number" placeholder="Inserisci valore" ng-model="criterio.ripartizione.esclusioniUtilizzazioni.durataMinima">
								<label style="display:inline">secondi</label>
							</div>
						</td> 
					</tr>
				</tbody>
			</table>									
		</div>
	</div>
</div>

<div style="margin-top: 15px">
	<table width="100%">
		<tr>
			<td>
			</td>
			<td align="left">
				<button autofocus type="button" class="btn addButton" ng-click="cancel(ctrl.ngDialogId)">
					<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;
					<strong>Chiudi</strong>
				</button>
			</td>
			<td align="right">
				 <button type="button" class="btn addButton" ng-click="save(criterio,checkboxSelected)">
					<span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;
					<strong>Salva</strong>
				</button>  
			</td>
		</tr>
	</table>
</div>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>
